X2Go Bug report logs - #350
Add --no-icon cmdline option to x2godesktopsharing

Package: x2godesktopsharing; Maintainer for x2godesktopsharing is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: marcoandredinis@gmail.com

Date: Tue, 26 Nov 2013 16:18:01 UTC

Severity: wishlist

Tags: moreinfo, wontfix

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Tue, 26 Nov 2013 16:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to marcoandredinis@gmail.com:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Nov 2013 16:18:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: marcoandredinis@gmail.com
To: submit@bugs.x2go.org
Subject: Tag: patch
Date: Tue, 26 Nov 2013 16:01:41 +0000
Package: x2goclient
Version: 4.0.1.1

This email was sent to x2go-dev mailling list, but since it also refers a Bug, 
I am also filling a  bug report

Hi

I'm developing a program that will use X2Go software. I dont want
users to notice they are using any other program besides my own.

I have two problems right now:

A) X2GoClient
Using SHADOW mode with "--hide" does not work. The interface waits for
selection of Display (usually ":0") and, since there's no input from
user (there's no window) the program does not show anything.
There are possible ways of fixing/improving this situation:
-allow user to set the default display on sessions' file
-create one flag and run program like these: "x2goclient --hide
--sessionid=xxx --select-first-display"

Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
these lines:
l4348:..if( shadowSession )
l4349:....slotShadowSess();
Compiled the program, and now i can run "./x2goclient --hide
--sessionid=xxx" and the window will show up.
This is NOT a fix, this is a nasty workaround. It wontn show the list
even when the "hide" flag is not present.


B) X2GoDesktopSharing
Just the icon on SystemTray. If we could pass a flag like "--no-icon"
would be great


I could do these simple changes on my own, but i rather see this
changes on the official code.

Thanks,
Marco Dinis


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#349; Package x2goclient. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Message #10 received at 349@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: marcoandredinis@gmail.com, 349@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#349: Make shadow sessions work with --hide option
Date: Wed, 27 Nov 2013 10:46:26 +0000
[Message part 1 (text/plain, inline)]
Control: retitle -1 Make shadow sessions work with --hide option
Control: tag -1 moreinfo
Control: clone -1 -2
Control: reassign -2 x2godesktopsharing
Control: retitle -2 Add --no-icon cmdline option to x2godesktopsharing
Control: severity -2 wishlist

Hi Marco,

with this mail I split up your report into to separate bug reports.  
One for x2goclient, one for x2godesktopsharing...

On  Di 26 Nov 2013 17:01:41 CET, marcoandredinis wrote:

> I'm developing a program that will use X2Go software. I dont want
> users to notice they are using any other program besides my own.
>
> I have two problems right now:
>
> A) X2GoClient
> Using SHADOW mode with "--hide" does not work. The interface waits for
> selection of Display (usually ":0") and, since there's no input from
> user (there's no window) the program does not show anything.
> There are possible ways of fixing/improving this situation:
> -allow user to set the default display on sessions' file
> -create one flag and run program like these: "x2goclient --hide
> --sessionid=xxx --select-first-display"
>
> Anyway, i modified the code of x2goclient/onmainwindow.cpp and added
> these lines:
> l4348:..if( shadowSession )
> l4349:....slotShadowSess();
> Compiled the program, and now i can run "./x2goclient --hide
> --sessionid=xxx" and the window will show up.
> This is NOT a fix, this is a nasty workaround. It wontn show the list
> even when the "hide" flag is not present.

Please provide a patch for what you did.

Please improve your patch so it is not a workaround anymore. I guess,  
I agree with you, that the X2Go Client window should pop up, if there  
are more than one sharable desktops to select from. If there is only  
one sharable desktop, this should be auto-selected. Can you code that  
into X2Go Client, please?

> B) X2GoDesktopSharing
> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
> would be great

This part will be handled in a separate bug. I will reply to this once  
the separate bug is created in X2Go BTS.

> I could do these simple changes on my own, but i rather see this
> changes on the official code.

Let's try to get your needs into upstream code...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'Make shadow sessions work with --hide option' from 'Tag: patch' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Added tag(s) moreinfo. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Bug 349 cloned as bug 350 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Bug reassigned from package 'x2goclient' to 'x2godesktopsharing'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Changed Bug title to 'Add --no-icon cmdline option to x2godesktopsharing' from 'Make shadow sessions work with --hide option' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Severity set to 'wishlist' from 'normal' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 349-submit@bugs.x2go.org. (Wed, 27 Nov 2013 10:48:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#350; Package x2godesktopsharing. (Wed, 27 Nov 2013 11:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 27 Nov 2013 11:18:01 GMT) (full text, mbox, link).


Message #29 received at 350@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: marcoandredinis@gmail.com
Cc: 350@bugs.x2go.org
Subject: Re: Add --no-icon cmdline option to x2godesktopsharing
Date: Wed, 27 Nov 2013 11:05:10 +0000
[Message part 1 (text/plain, inline)]
Hi Marco,

> B) X2GoDesktopSharing
> Just the icon on SystemTray. If we could pass a flag like "--no-icon"
> would be great

Simply adding --no-icon as cmdline option to x2godesktopsharing won't  
make the application usable.

The --no-icon (or rather --hide-icon) should imply another option  
--allow-user=<user> or --allow-group=<group>. You also need the new  
cmdline option --activate-desktop-sharing (which is already there).

Also, what you are trying to implement is kind of a big brother  
software (who is watching you...). My suggestion would be to keep the  
icon in the systray, keep the notification bubbles, but modify  
x2godesktopsharing in a way that no interaction with the desktop  
sharing utility is possible anymore and all sharing functionality is  
enabled by default.

Also: note that you only need x2godesktopsharing if you want to share  
desktop sessions across user accounts. If userA is supposed to share  
desktop of userA (same user) then x2godesktopsharing is not needed.  
That will work out-of-the-box by design of the X11 network access  
protocol.

Mike




-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#350; Package x2godesktopsharing. (Thu, 28 Nov 2013 11:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 11:48:02 GMT) (full text, mbox, link).


Message #34 received at 350@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Marco André Dinis <marcoandredinis@gmail.com>
Cc: 350@bugs.x2go.org
Subject: Re: Add --no-icon cmdline option to x2godesktopsharing
Date: Thu, 28 Nov 2013 11:43:21 +0000
[Message part 1 (text/plain, inline)]
Hi Marco,
(reincluding bug #350 via Cc:)

On  Do 28 Nov 2013 11:20:07 CET, Marco André Dinis wrote:

> I want to have a single session and have that session shared over network=..
> It's a Virtual Machine, i want to access it via SPICE and via X2Go.
> But it must be the same session.
> When i try to connect via X2GoClient using any other method (except
> the SHADOW mode) it creates another session.
> I should not use x2godesktopsharing?
>
> Or am i doing something wrong?

The question is:

Are the users running the X(2Go) session and attempting to start the  
shadow session identical???

If yes, then simply use the session type ,,Connection to a local desktop''.

Within the X(2Go) session you do _not_ have to start the X2Go Desktop  
Sharing tool. It works without if the user who wants to shadow is  
identical with the user running the X(2Go) session.

Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#350; Package x2godesktopsharing. (Thu, 28 Nov 2013 12:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Marco André Dinis <marcoandredinis@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Nov 2013 12:03:01 GMT) (full text, mbox, link).


Message #39 received at 350@bugs.x2go.org (full text, mbox, reply):

From: Marco André Dinis <marcoandredinis@gmail.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 350@bugs.x2go.org
Subject: Re: Add --no-icon cmdline option to x2godesktopsharing
Date: Thu, 28 Nov 2013 11:58:59 +0000
That's it. What I want works without the DesktopSharing tool.

Thanks, I was complicating things.

On Thu, Nov 28, 2013 at 11:43 AM, Mike Gabriel
<mike.gabriel@das-netzwerkteam.de> wrote:
> Hi Marco,
> (reincluding bug #350 via Cc:)
>
> On  Do 28 Nov 2013 11:20:07 CET, Marco André Dinis wrote:
>
>> I want to have a single session and have that session shared over
>> network..
>>
>> It's a Virtual Machine, i want to access it via SPICE and via X2Go.
>> But it must be the same session.
>> When i try to connect via X2GoClient using any other method (except
>> the SHADOW mode) it creates another session.
>> I should not use x2godesktopsharing?
>>
>> Or am i doing something wrong?
>
>
> The question is:
>
> Are the users running the X(2Go) session and attempting to start the shadow
> session identical???
>
> If yes, then simply use the session type ,,Connection to a local desktop''.
>
> Within the X(2Go) session you do _not_ have to start the X2Go Desktop
> Sharing tool. It works without if the user who wants to shadow is identical
> with the user running the X(2Go) session.
>
>
> Mike
>
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#350; Package x2godesktopsharing. (Mon, 31 Mar 2014 19:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 31 Mar 2014 19:55:02 GMT) (full text, mbox, link).


Message #44 received at 350@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 350@bugs.x2go.org
Subject: After revisiting #350: closing this bug with wontfix tag
Date: Mon, 31 Mar 2014 19:53:31 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 wontfix
Control: close -1

Hi,

the discussed scenario is not relevant for anyone anymore. Such a  
functionality improvement is also a feature request that needs to be  
contracted, if someone really needs it.

Thus, closing issue #350 (add --no-icon option to x2godesktopsharing).

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 350-submit@bugs.x2go.org. (Mon, 31 Mar 2014 19:55:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 350-submit@bugs.x2go.org. (Mon, 31 Mar 2014 19:55:02 GMT) (full text, mbox, link).


Notification sent to marcoandredinis@gmail.com:
Bug acknowledged by developer. (Mon, 31 Mar 2014 19:55:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 29 Apr 2014 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 6 15:23:10 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.